rot.hh File Reference
`#include <mia/core/attributes.hh>`
`#include <mia/3d/quaternion.hh>`
`#include <mia/3d/matrix.hh>`
Include dependency graph for rot.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | attribute_type< C3DRotation >
class | C3DRotation
struct | dispatch_attr_string< C3DRotation >

## Typedefs

typedef TAttribute< C3DRotation > | C3DRotationAttribute
typedef TTranslator< C3DRotation > | C3DRotationAttributeTranslate

## Functions

EXPORT_3D bool | operator< (const C3DRotation &lhs, const C3DRotation &rhs)
EXPORT_3D bool | operator== (const C3DRotation &lhs, const C3DRotation &rhs)

## Typedef Documentation

## C3DRotationAttribute

typedef TAttribute<C3DRotation> C3DRotationAttribute

Definition at line 77 of file rot.hh.

## C3DRotationAttributeTranslate

typedef TTranslator<C3DRotation> C3DRotationAttributeTranslate

Definition at line 78 of file rot.hh.

## Function Documentation

## operator<()

EXPORT_3D bool operator< | ( | const C3DRotation & | lhs,
|  | const C3DRotation & | rhs )

References EXPORT_3D.

## operator==()

EXPORT_3D bool operator== | ( | const C3DRotation & | lhs,
|  | const C3DRotation & | rhs )

References EXPORT_3D.